Index: /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/control
===================================================================
--- /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/control	(revision 8772)
+++ /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/control	(revision 8772)
@@ -0,0 +1,11 @@
+Package: enigma2-plugin-swapmediacenter-foldericons
+Version: 1.0
+Description: A collection of really nice folder icons for AAF- MediaCenter Videoplayer Coverview. SWAPSTICK IS NEEDED!
+Section: swapmediacenter
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Folder icons for VideoPlayer Coverview
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/postinst	(revision 8772)
+++ /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/postinst	(revision 8772)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.swapmediacenter
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/postrm	(revision 8772)
+++ /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/postrm	(revision 8772)
@@ -0,0 +1,9 @@
+#!/bin/sh
+TMP=/tmp/.swapmediacenter
+
+rm -rf /var/swap/imdbfolder
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/preinst	(revision 8772)
+++ /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/preinst	(revision 8772)
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+TMP=/tmp/.swapmediacenter
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking swapstick"
+if [ ! -d /var/swap/ ]; then
+  echo "--------------------------"
+	echo "no swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+echo "installing folder icons to swapstick..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/prerm	(revision 8772)
+++ /ipk/source.sh4/swapmediacenter_foldericons_1_0/CONTROL/prerm	(revision 8772)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.swapmediacenter
+echo "syncing disk"
+sync
+echo "removing folder icons from swapstick"
+exit 0
